<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MQTT Send Commands</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script> 
   <script src="https://unpkg.com/mqtt/dist/mqtt.min.js"></script>

  <style>
  
    /* Custom CSS styles */
    body {
      font-family: Arial, sans-serif;
    }

    .container {
      max-width: 800px;
      margin: 0 auto;
    }

    h1 {
      text-align: center;
    }

    input[type="date"],
    input[type="text"] {
      width: 100%;
      padding: 0.375rem 0.75rem;
      font-size: 1rem;
      border: 1px solid #ced4da;
      border-radius: 0.25rem;
    }

    .form-group {
      margin-bottom: 1rem;
    }

    .btn-primary {
      width: 100%;
    }

    table {
      width: 100%;
      border-collapse: collapse;
      margin-top: 1rem;
    }

    th,
    td {
      padding: 0.75rem;
      text-align: left;
      border: 1px solid #dee2e6;
    }

    th {
      background-color: #f8f9fa;
      font-weight: bold;
    }

    tbody tr:nth-child(even) {
      background-color: #f2f2f2;
    }

    tbody tr:hover {
      background-color: #e2e6ea;
    }
    .textareas{
      width: 600px;
    }
    .send_button{
      background-color: rgb(180, 196, 184);
      font-size: 30px;
      font-weight: 400;
      margin-top: 20px;
      border-radius:7px;
      color: white;
    }
  </style>

</head>
<body>
  <nav class="navbar navbar-default">
    <div class="container-fluid">
      <div class="navbar-header">
        <a class="navbar-brand" href="#">MQTT Tester</a>
      </div>
      <ul class="nav navbar-nav">
       
        <li><a href="index.html">Send Commands</a></li>
        <li><a href="display.html">Packet History</a></li>
        
      </ul>
    </div>
  </nav>
  <h1>Send Command</h1>
  <div class="container mt-5" style="width: 100vw;">
    <div class="card shadow-lg">
  <table>
    <tr>
      <td><label for="topic">Topic:</label></td>
      <td><textarea rows="2" class="textareas"  id="topic"></textarea></td>
    </tr>
    <tr>
      <td><label for="command">Command:</label></td>
      <td><textarea rows="10" class="textareas"  id="command"></textarea></td>
    </tr>
  </table>
  
  <button type="button" onclick="sendcommand()" class="btn btn-primary send_button">Send Command</button>
  <table id="messageTable">
    <thead>
      <tr>
        <th>Topic</th>
        <th>Command</th>
      </tr>
    </thead>
    <tbody id="messageBody"></tbody>
  </table>
</div>
</div>
  <script>
    let client = mqtt.connect('ws://pytcp2.transight.in:8083/mqtt');

    function sendcommand() {
     
      client.publish($("#topic").val(), $("#command").val(),{ qos: 1 });
      client.subscribe($("#topic").val(),{ qos: 1 });
    }
    client.on('message', (receivedTopic, message) => {
     console.log(message);
      const tableBody = document.getElementById('messageBody');
      const row = tableBody.insertRow();
      const topicCell = row.insertCell(0);
      const commandCell = row.insertCell(1);
      topicCell.textContent = receivedTopic;
      commandCell.textContent = message;
      
    });



    client.on('offline', () => {
      alert("MQTT Disconnected!");
      client = mqtt.connect('ws://pytcp2.transight.in:8083/mqtt');

    });
  </script>
</body>
</html>
